Bug 223733 - www/webkit2-gtk3: update to 2.18.3 (SECURITY), enable Wayland support
Summary: www/webkit2-gtk3: update to 2.18.3 (SECURITY), enable Wayland support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL: https://reviews.freebsd.org/D14872
Keywords: needs-qa, patch, security
Depends on:
Blocks:
 
Reported: 2017-11-18 14:43 UTC by Greg V
Modified: 2018-04-10 16:02 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
webkit2-gtk3.patch (12.46 KB, patch)
2017-11-18 14:43 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2017-11-18 14:43:53 UTC
Created attachment 188095 [details]
webkit2-gtk3.patch

All versions of WebKitGTK+ before 2.18.1 are vulnerable: https://webkitgtk.org/security/WSA-2017-0009.html — we still have 2.16.6.

Also:

- fixedExecutableMemoryPoolSize patch has been replaced with a CFLAGS define, since the code picks it up
- MiniBrowser does not build anymore (the source code literally includes wrong directories… I guess it's kinda abandoned now)
- Wayland backend option, tested with Epiphany browser on the rootston (wlroots demo) compositor on DRM/KMS directly (with drm-next-kmod amdgpu)
- enable GLES2 support instead of accelerated canvas (I've looked at other distributions — e.g. Arch Linux does not set the accelerated canvas flag)
Comment 1 Stefan Hagen 2018-01-06 10:24:53 UTC
Hello,

I have tested the port update on CURRENT. I'm using it since end of November and I did not face any issues that I didn't face before as well.

I did *not* test the wayland support.

Best Regards,
Stefan
Comment 2 Tobias Kortkamp freebsd_committer 2018-03-27 18:14:10 UTC
Opened a Phabricator review for an update to 3.20.0: https://reviews.freebsd.org/D14872
Comment 3 commit-hook freebsd_committer 2018-04-05 20:14:04 UTC
A commit references this bug:

Author: tobik
Date: Thu Apr  5 20:13:52 UTC 2018
New revision: 466598
URL: https://svnweb.freebsd.org/changeset/ports/466598

Log:
  www/webkit2-gtk3: Update to 2.20.0

  - Add WAYLAND option
  - Bump PORTREVISION of dependents
  - Fix build of epiphany 3.24.2 with newer WebKit versions

  PR:		223733
  Submitted by:	Greg V <greg@unrelenting.technology> (initial update to 2.18.3)
  Reviewed by:	Ting-Wei Lan <lantw44@gmail.com>
  Approved by:	gnome (maintainer timeout, too long)
  Security:	1ce95bc7-3278-11e8-b527-00012e582166
  MFH:		2018Q2
  Differential Revision:	https://reviews.freebsd.org/D14872

Changes:
  head/audio/nuvolaplayer/Makefile
  head/databases/evolution-data-server/Makefile
  head/deskutils/gnome-documents/Makefile
  head/deskutils/osmo/Makefile
  head/deskutils/showdown/Makefile
  head/devel/devhelp/Makefile
  head/editors/emacs-devel/Makefile
  head/graphics/atril/Makefile
  head/graphics/gthumb/Makefile
  head/graphics/shotwell/Makefile
  head/mail/evolution/Makefile
  head/mail/evolution-ews/Makefile
  head/mail/geary/Makefile
  head/multimedia/quodlibet/Makefile
  head/net/gnome-online-accounts/Makefile
  head/net/liferea/Makefile
  head/net-im/empathy/Makefile
  head/textproc/libgepub/Makefile
  head/www/epiphany/Makefile
  head/www/epiphany/files/
  head/www/epiphany/files/patch-src_ephy-window.c
  head/www/luakit/Makefile
  head/www/surf/Makefile
  head/www/webkit2-gtk3/Makefile
  head/www/webkit2-gtk3/distinfo
  head/www/webkit2-gtk3/files/patch-CMakeLists.txt
  head/www/webkit2-gtk3/files/patch-Source_JavaScriptCore_PlatformGTK.cmake
  head/www/webkit2-gtk3/files/patch-Source_JavaScriptCore_assembler_ARM64Assembler.h
  head/www/webkit2-gtk3/files/patch-Source_JavaScriptCore_jit_ExecutableAllocator.h
  head/www/webkit2-gtk3/files/patch-Source_WTF_wtf_NumberOfCores.cpp
  head/www/webkit2-gtk3/files/patch-Source_WTF_wtf_Platform.h
  head/www/webkit2-gtk3/files/patch-Source_WebCore_PAL_pal_PlatformGTK.cmake
  head/www/webkit2-gtk3/files/patch-Source_WebCore_platform_graphics_cpu_arm_filters_FELightingNEON.cpp
  head/www/webkit2-gtk3/files/patch-Source_WebCore_platform_graphics_cpu_arm_filters_FELightingNEON.h
  head/www/webkit2-gtk3/files/patch-Source_WebCore_platform_graphics_egl_GLContextEGL.cpp
  head/www/webkit2-gtk3/files/patch-Source_WebDriver_PlatformGTK.cmake
  head/www/webkit2-gtk3/files/patch-Source_WebKit2_PlatformGTK.cmake
  head/www/webkit2-gtk3/files/patch-Source_WebKit2_Shared_Plugins_unix_PluginSearchPath.cpp
  head/www/webkit2-gtk3/files/patch-Source__JavaScriptCore__assembler__ARMAssembler.h
  head/www/webkit2-gtk3/files/patch-Source_bmalloc_bmalloc_BPlatform.h
  head/www/webkit2-gtk3/pkg-plist
  head/x11/yelp/Makefile
  head/x11-fm/sushi/Makefile